// load google feeds
google.load("feeds", "1");

// load visualisations
google.load('visualization', '1', {packages: ['table']});


var map;
 
/**
 * Inits map
 */
function init_map() {
	map = new GMap2(document.getElementById("map_canvas"));
	map.setCenter(new GLatLng(34, 0), 1);
    map.addControl(new GSmallMapControl());
    map.addControl(new GMapTypeControl());	
}


/**
 * Get location coordinates
 */
function get_coordinates(location) {
	var geocoder = new GClientGeocoder();
	geocoder.getLocations(location, get_coordinates_callback);		
}


/**
 * Get location coordinates response
 */
function get_coordinates_callback(response) {

	// quit if not found
    if (!response || response.Status.code != 200) return;
	
	// get data
    var place = response.Placemark[0];
    var point = new GLatLng(place.Point.coordinates[1], place.Point.coordinates[0]);	

}


function add_map_location(response) {

	// clear map
    map.clearOverlays();
	
	// quit if not found
    if (!response || response.Status.code != 200) return;
	
	// get data
    var place = response.Placemark[0];
    var point = new GLatLng(place.Point.coordinates[1], place.Point.coordinates[0]);
	
	// add marker
    var marker = new GMarker(point);
    map.addOverlay(marker);
    marker.openInfoWindowHtml(place.address);
    

}

/** 
 * Draws a table
 */
function draw_table() {

	// create data object
	var data = google.visualization.arrayToDataTable([
		['Name', 'Height', 'Smokes'],
		['Tong Ning mu', 174, true],
		['Huang Ang fa', 523, false],
		['Teng nu', 86, true]
	]);	

	// draw table
	var table = new google.visualization.Table(document.getElementById('table1'));
	table.draw(data, null);	

}

 
/**
 * Loads weather data
 */
function load_weather_data() {

	// load weather data
	var url = "http://meteo.arso.gov.si/uploads/probase/www/observ/surface/text/en/observation_si_latest.rss"; // api arso
	var feed = new google.feeds.Feed(url);
	feed.setResultFormat(google.feeds.Feed.MIXED_FORMAT);
	feed.setNumEntries(90);
	feed.load(function(result) 
	{  
	
		// init table data
		var table_data = new Array();
		table_data.push(new Array("location", "temperature"));
	
		// add data to table data
		if (!result.error) 
		{
			for (var i = 0; i < result.feed.entries.length; i++) 
			{
				// get location and temperature
				var entry = result.feed.entries[i];
				var title = entry.title;
				var location = title.split(":")[0];
				if(title.indexOf(",")!=-1) {
					var temperature = title.split(",");
					temperature = temperature[temperature.length-1];
				} else {
					var temperature = title.split(":")[1];
				}
				
				table_data.push(new Array(location, temperature));
				
			}		
			
			// create data object
			var data = google.visualization.arrayToDataTable(table_data);		
			
			// draw table
			var table = new google.visualization.Table(document.getElementById('table1'));
			table.draw(data, null);		

			// enable clikc
			jQuery(".google-visualization-table-td").bind("click", function(e) {
				e.preventDefault();
				var location = jQuery(this).html();

				var geocoder = new GClientGeocoder();
				geocoder.getLocations(location, add_map_location);					
				
			});
					
		} 
		
	});

}


function geocoder_callback(response) {


	// quit if not found
    if (!response || response.Status.code != 200) return;
	
	// get data
    var place = response.Placemark[0];
	alert(place.Point.coordinates[0]);
	alert(place.Point.coordinates[1]);
    var point = new GLatLng(place.Point.coordinates[1], place.Point.coordinates[0]);	

}


// document ready
$(document).ready(function(e) {

	// var geocoder = new GClientGeocoder();
	// geocoder.getLocations("LJUBLJANA", geocoder_callback);		
	
	load_weather_data();
	
	init_map();

	
});

